#!/bin/bash

#
# Prepare virtual environment
# Install missing packages based on requirements.txt
# git clone: https://gitlab.com/Orange-OpenSource/onap-tests.git
# Reference the python module in this environment
cd onap_tests
rep=$(pwd)

#Verify first if onboard directory exists to avoid creating it
if [ ! -d $rep/onboard ]
then
  virtualenv onboard
  source onboard/bin/activate
  pip install -r requirements.txt
  ln -s $rep/onap_tests $rep/onboard/lib/python{{ python_version }}/site-packages/onap_tests
fi
